# Uses of Class
javax.swing.table.TableColumn

Packages that use TableColumn
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.

## Uses of TableColumn in javax.swing

Methods in javax.swing that return TableColumn
Modifier and Type
Method
Description
`TableColumn`
JTable.`getColumn​(Object identifier)`
Returns the `TableColumn` object for the column in the table whose identifier is equal to `identifier`, when compared using `equals`.
Methods in javax.swing with parameters of type TableColumn
Modifier and Type
Method
Description
`void`
JTable.`addColumn​(TableColumn aColumn)`
Appends `aColumn` to the end of the array of columns held by this `JTable`'s column model.
`void`
JTable.`removeColumn​(TableColumn aColumn)`
Removes `aColumn` from this `JTable`'s array of columns.

## Uses of TableColumn in javax.swing.table

Fields in javax.swing.table declared as TableColumn
Modifier and Type
Field
Description
`protected TableColumn`
JTableHeader.`draggedColumn`
The index of the column being dragged.
`protected TableColumn`
JTableHeader.`resizingColumn`
The index of the column being resized.
Fields in javax.swing.table with type parameters of type TableColumn
Modifier and Type
Field
Description
`protected Vector<TableColumn>`
DefaultTableColumnModel.`tableColumns`
Array of TableColumn objects in this model
Methods in javax.swing.table that return TableColumn
Modifier and Type
Method
Description
`TableColumn`
DefaultTableColumnModel.`getColumn​(int columnIndex)`
Returns the `TableColumn` object for the column at `columnIndex`.
`TableColumn`
TableColumnModel.`getColumn​(int columnIndex)`
Returns the `TableColumn` object for the column at `columnIndex`.
`TableColumn`
JTableHeader.`getDraggedColumn()`
Returns the dragged column, if and only if, a drag is in process, otherwise returns `null`.
`TableColumn`
JTableHeader.`getResizingColumn()`
Returns the resizing column.
Methods in javax.swing.table that return types with arguments of type TableColumn
Modifier and Type
Method
Description
`Enumeration<TableColumn>`
DefaultTableColumnModel.`getColumns()`
Returns an `Enumeration` of all the columns in the model.
`Enumeration<TableColumn>`
TableColumnModel.`getColumns()`
Returns an `Enumeration` of all the columns in the model.
Methods in javax.swing.table with parameters of type TableColumn
Modifier and Type
Method
Description
`void`
DefaultTableColumnModel.`addColumn​(TableColumn aColumn)`
Appends `aColumn` to the end of the `tableColumns` array.
`void`
TableColumnModel.`addColumn​(TableColumn aColumn)`
Appends `aColumn` to the end of the `tableColumns` array.
`void`
DefaultTableColumnModel.`removeColumn​(TableColumn column)`
Deletes the `column` from the `tableColumns` array.
`void`
TableColumnModel.`removeColumn​(TableColumn column)`
Deletes the `TableColumn` `column` from the `tableColumns` array.
`void`
JTableHeader.`setDraggedColumn​(TableColumn aColumn)`
Sets the header's `draggedColumn` to `aColumn`.
`void`
JTableHeader.`setResizingColumn​(TableColumn aColumn)`
Sets the header's `resizingColumn` to `aColumn`.